# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-Clipboard
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           perl-Clipboard
Version:        0.13
Release:        7.1
Summary:        Copy and Paste with any OS
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/K/KI/KING/Clipboard-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Clipboard
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  xclip
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       xclip

%description
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

With Clipboard.pm, this magic is now trivial to access, in a
cross-platform-consistent API, from your Perl code.

%package -n clipboard
Summary:        Command-Line Utilities to Copy and Paste with any OS
Group:          System/X11/Utilities
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n clipboard
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

This package contains several command-line utilities to manpulate
clipboards.

%prep
%setup -q -n "Clipboard-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Clipboard
%{perl_vendorlib}/Clipboard.pm
%{perl_vendorarch}/auto/Clipboard
%doc %{perl_man3dir}/Clipboard.%{perl_man3ext}%{ext_man}

%files -n clipboard
%defattr(-,root,root)
%{_bindir}/clipaccumulate
%{_bindir}/clipbrowse
%{_bindir}/clipedit
%{_bindir}/clipfilter
%{_bindir}/clipjoin
%doc %{_mandir}/man1/clipaccumulate.1%{ext_man}
%doc %{_mandir}/man1/clipbrowse.1%{ext_man}
%doc %{_mandir}/man1/clipedit.1%{ext_man}
%doc %{_mandir}/man1/clipfilter.1%{ext_man}
%doc %{_mandir}/man1/clipjoin.1%{ext_man}

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 26 2010 pascal.bleser@opensuse.org
- initial package (0.13)
